### Function

# FwupdPlugin bytes_set_contents

#### Declaration [src]

    gboolean
    fu_bytes_set_contents (
      const gchar* filename,
      GBytes* bytes,
      GError** error
    )

#### Description [src]

Writes a blob of data to a filename, creating the parent directories as required.

Available since: | 1.8.2

#### Parameters

`filename` | `const gchar*`
| A filename.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`bytes` | `GBytes`
| Data to write.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.